<?php
if(get_theme_mod('about_area_disable') != 'on' ){
?>
	<?php 
		if( get_theme_mod('about_areaTpadding',true) ) {
			$about_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('about_areaTpadding')).';';
		}
		if( get_theme_mod('about_areaBpadding',true) ) {
			$about_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('about_areaBpadding')).';';
		}
		if( get_theme_mod('about_areawave',true) ) {
			$about_areawave = 'top:'.esc_attr(get_theme_mod('about_areawave')).';';
		}
	?>			
	<div class="about-area" id="about">
		<div class="container">
			<div class="row mr-0">
		<?php
			$about_page_id = get_theme_mod('about_page');
			$aboutsubtitle = get_theme_mod('aboutsubtitle', 'About Us');
			$abouttitle = get_theme_mod('about_title', 'We Have 15 Years Of Experiences In Fashion Designer Service');
			$abouttext = get_theme_mod('about_text', 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which do not look even slightly believable.');

		?>
			<div class="col-xl-7 col-lg-7 col-md-12 wow zoomIn" data-wow-duration="1s">
				<div class="section-title">
					<?php if($aboutsubtitle){ ?>	
						<h2><span><?php echo ($aboutsubtitle);  ?></span></h2>
					<?php }?>
				</div>
				<div class="section-subtitle">
					<h3><?php echo ($abouttitle);  ?></h3>
				</div>
				<div class="section-subtext">
					<p><?php echo ($abouttext);  ?></p>

				</div>
				<div class="clearfix"></div>
			<?php
				$showStatic = true;
				for( $i = 1; $i < 11; $i++ ){
					$aboutus_page_id = get_theme_mod('aboutus_page_icon'.$i); 
					if(!empty($aboutus_page_id)){
						$showStatic = false;
						break;
					}
				}
				?>

				<div class="aboutus-post-wrap">
					<?php
					$cols = get_theme_mod('aboutus_npp_count', 2);
					$cols++;
					// echo '$cold: '.$cols;
					switch($cols){
						case 1:
						$colCls = 'col-md-12 col-sm-12';
						break;
						case 2:
						case 4:
						case 8:
						case 7:
						case 10:
						case 11:
						case 12:
						$colCls = 'col-md-12 col-sm-12';
						break;
						default: 
						$colCls = 'col-md-12 col-sm-12';
						break;
					}
					$icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');
					?>
					<div class="aboutus-post-boxes">
						<div class="row mr-0">
					<?php
					for( $i = 1; $i <= $cols; $i++ ){
					if($showStatic === false){
						
						$aboutus_page_title = get_theme_mod('aboutus_page_title'.$i, 'Choose Our Service');
						$aboutus_page_text = get_theme_mod('aboutus_page_text'.$i, 'It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout.');
						$aboutus_page_id = get_theme_mod('aboutus_page'.$i); 
						$aboutus_page_icon = get_theme_mod('aboutus_page_icon'.$i);
						if($aboutus_page_icon){
							
					?>
						<div class="<?php echo $colCls;?> pl-0 about-bx">
							<div class="aboutus-single wow zoomIn" >
								<div class="row mr-0">
									<?php if($aboutus_page_title || $aboutus_page_text){ ?>
									<div class="col-xl-2 col-lg-2 col-md-1 col-sm-2 pl-0 about-con">
										<div class="hi-icon">
											<span class="<?php echo $aboutus_page_icon; ?>"></span> 
										</div>
									</div>
									<div class="col-xl-10 col-lg-10 col-md-11 col-sm-10 about-areabx">
										<div class="about-area-data">
											<h4 class="inner-area-title"><?php echo $aboutus_page_title; ?></h4>
											<p><?php echo $aboutus_page_text; ?></p>
										</div>
									</div>
									<div class="clearfix"></div>
									<?php }?>
								</div>
							</div>
							<div class="clearfix"></div>
						</div>
						<?php
						}
					}else{?>
						<div class="<?php echo $colCls;?> pl-0 about-bx">
							<div class="aboutus-single wow zoomIn" >
								<div class="row mr-0">
									<div class="col-xl-2 col-lg-2 col-md-1 col-sm-2 pl-0 about-con">
										<div class="hi-icon">
											<span class="fa fa-thumbs-o-up" aria-hidden="true"></span>
										</div>
									</div>
									<div class="col-xl-10 col-lg-10 col-md-11 col-sm-10 about-areabx">
										<div class="about-area-data">
											<h4 class="inner-area-title">Choose Our Service</h4>
											<p>It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout.</p>
										</div>
									</div>
									<div class="clearfix"></div>	
								</div>				
							</div>
							<div class="clearfix"></div>
						</div>
					<?php }
					}?>
					<div class="clearfix"></div>
				</div>
					</div>
				</div>
				<div class="abt-btn">
					<?php
						$abtbtntxt = get_theme_mod('abtbtntxt', 'Read More'); 
						$abtbtnlink = get_theme_mod('abtbtnlink', 'add link here');
					?>
						<?php if(!empty($abtbtntxt)){ ?>
							<a href="<?php echo $abtbtnlink ?>"><span><?php echo ($abtbtntxt);  ?></span></a>
						<?php }?> 
				</div>
				<script>
					jQuery.noConflict();
					$(function(){
						function aboutussingleHeight(){
							var ht = 0;
							$('#about .aboutus-single').each(function(i){
								var tHt = $(this).height();
								if(ht<tHt){
									ht=tHt;
								}
							});
							$('#about .aboutus-single').height(ht+'px');
						}
						aboutussingleHeight();
					});
					$( window ).resize(function(){
						aboutussingleHeight();
					});
				</script>
			</div>
			<div class="col-xl-5 col-lg-5 col-md-12 pd-0 wow zoomIn about-rightbx">
				<div class="aboutarea-img">
					<?php 
						$about_image = get_theme_mod('about_image');
						if(!empty($about_image)){
							echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($about_image).'" class="about-img" />';
						}else{
							echo '<img alt="About us" src="'.get_template_directory_uri().'/images/abotimg.jpg" class="about-img" />';
						}

					?>
				</div>
			</div>
			
			
			<div class="clearfix"></div>
		</div>
		</div>
	</div>


<?php }  