<?php
/**
 *
 * @package Slider Premium
 */
?>
<?php $showContent = get_theme_mod('slider_section_show_content', 'on'); ?>
<div id="slider" class="slider_section">
    <!-- <div class="owl-slider"> -->
        <div  class="owl-carousel">
            <?php
            $args = array( 'post_type' => 'slider', 'orderby'   => 'id', 'order' => 'DESC',);
            if(!empty($pageId)){
                $args['page_id'] = absint($pageId);

            }
            $text = '';
            $query = new WP_Query($args);
            if($query->have_posts()){
                while($query->have_posts()) : $query->the_post(); 
                

                if( get_theme_mod('slider_areaOpacity',true) ) {
                    $slider_areaOpacity = 'opacity:'.esc_attr(get_theme_mod('slider_areaOpacity')).';';
                }
                if( get_theme_mod('slider_Tfontsize',true) ) {
                    $slider_Tfontsize = 'font-size:'.esc_attr(get_theme_mod('slider_Tfontsize')).';';
                }

                $pageLink = '';
                $slider_btn_link = get_post_meta($post->ID,'slider_btn_link',false);
                $sliderBtnTxt = get_post_meta($post->ID,'sliderBtnTxt',false);
                if(!empty($slider_btn_link) && is_array($slider_btn_link)){
                    $pageLink = esc_url(get_permalink($slider_btn_link[0]));
                }
                if(!empty($sliderBtnTxt) && is_array($sliderBtnTxt)){
                    $pageLinkTxt = $sliderBtnTxt[0];
                }else{
                    $pageLinkTxt = 'Start Free Trial';
                }

                ?>
                <div class="item">
                    <div class="row row-eq-height">
                        <div class="col-md-7 col-sm-6 slider-leftbx">
                            <div class="slider-area">
                                <?php
                                    if($showContent == 'on'){
                                ?>
                                    <div class="slider_content animated fadeInUp" >
                                        <div class="content-olay"></div>
                                        <div class="title animated fadeInUp">
                                            <?php echo (get_the_title()); ?>
                                        </div>
                                        <div class="sub-title animated fadeInUp">
                                            <?php echo (get_the_content()); ?>
                                        </div>
                                        <?php 
                                        if(!empty($pageLink)){ ?>
                                            <div class="slide-btna">
                                                <div class="btn5">  
                                                    <a href="<?php echo $pageLink; ?>">
                                                        <?php echo($pageLinkTxt); ?> 
                                                    </a>
                                                </div>
                                            </div>
                                        <?php }?>
                                    </div>
                                <?php }?>
                            </div>
                        </div>
                         <div class="col-md-5 col-sm-6 slider-rightbx">
                            <div class="slider-image">
                                <?php 
                                    if(has_post_thumbnail()){
                                        $total_slider_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'full');
                                        echo '<img class="slide-mainimg" alt="'. esc_html(get_the_title()) .'" src="'.esc_url($total_slider_image[0]).'">';
                                }?>
                                <?php
                                    $callbx_head = get_theme_mod('callbx_head', 'Call Us :');
                                    $callbx_phone = get_theme_mod('callbx_phone', '+111 2222 111');
                                    if(!empty($callbx_head || $callbx_phone)){ 
                                ?>
                                    <div class="slider-call">
                                        <div class="slider-callhead"><?php echo $callbx_head; ?></div>
                                        <div class="slider-callno">
                                            <a href="tel:<?php echo $callbx_phone;?>"><?php echo ($callbx_phone);  ?></a>
                                        </div>
                                    </div>
                                <?php } ?>
                                <div class="slider-ovly"></div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php
            endwhile;
        }else{ 
            for($i=0;$i<6;$i++){?>
            <div class="item">
                <div class="row row-eq-height">
                     <div class="col-md-7 col-sm-6 slider-leftbx">
                        <div class="slider-area">
                            <?php if($showContent == 'on'){?>
                                <div class="slider_content animated fadeInUp" >
                                    <div class="title animated fadeInUp">Fashion As Unique As You Are</div>
                                    <div class="sub-title animated fadeInUp">It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout.
                                    </div>
                                    <div class="slide-btna ">
                                        <div class="btn5">
                                            <a href="#">
                                                <?php _e( 'Contact Us', 'luzuk-premium' ); ?>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            <?php }?>
                        </div>
                    </div>
                    <div class="col-md-5 col-sm-6 slider-rightbx">
                        <div class="slider-image">
                            <?php echo '<img class="slide-mainimg" alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/slider.jpg">';
                            ?>
                            <div class="slider-call">
                                <div class="slider-callhead">Call Us :</div>
                                <div class="slider-callno"><a href="#">+111 2222 111</a></div>
                            </div>
                            <div class="slider-ovly"></div>
                        </div>
                    </div>
                </div>
            </div>
            <?php }
        }?>
    </div>
    <!-- </div> -->
     <script>
        $(document).ready(function() {
          $('#slider .owl-carousel').owlCarousel({
            refreshClass: 'owl-refresh',
            autoplayTimeout:9000,
            loop: true,
            margin: 30,
            autoHeight: true,
            autoWidth: false,
            autoplay: false,
            animateOut: 'slideOutDown',
            responsiveClass: true,
            responsive: {
              0: {
                items: 1,
                nav: true,
                margin: 10
              },
              600: {
                items:1,
                nav: true,
                margin: 10
              },
              1000: {
                items:1,
                nav: true,
                loop: true,
                margin: 10
              }
            }
          })
        })
    </script>
  
    <div class="clearfix"></div>
    </div>

