<?php
/**
 * Template Name: Contact Page
 *
 * @package luzuk Premium
 */
get_header(); 
?>

  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<header class="page-main-header"  >
    <div class="header-ovly"></div>
     <div class="container">
        <div class="headerinn-img" <?php  if (!empty($image)) : ?> style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover; position: relative;"<?php endif ?>>
            <div class="overlay1"></div>
                <div class="head-bread">
                    <div class="headinnbox">
                        <?php the_title( '<h2 class="ht-main-title wow zoomIn">', '</h2>' ); ?>
                    </div>
                    <div class="clearfix"></div>
                    <?php if( get_theme_mod('breadcrumb_button_display','show' ) == 'show') : ?>
                    <div class="breadcrumbbox wow zoomIn">
                            <div class='button'><?php luzuk_lite_the_breadcrumb(); ?></div>
                            <div class="clearfix"></div>
                    </div>
                    <?php endif ?> 
                    <div class="clearfix"></div>
                </div>
        </div>
    </div>
    <div class="clearfix"></div>
</header>

<main id="innerpage-box" >
	<div class="container">
		<div class="contact-address-area">
	    <?php 
	    	$email = get_theme_mod('luzuk_contactus_email', 'contact@example.com');
	    	$phone = get_theme_mod('luzuk_contactus_phone', '+00 111-222-2222');
	    	$phone2 = get_theme_mod('luzuk_contactus_phone2', '+00 111-222-4444');
			$address = get_theme_mod('luzuk_contactus_address', 'Add Contact Address here..');
			$iframe = get_theme_mod('luzuk_contactus_embade', 'Add your Embed code in customizer');
		?>
			<div class="row">
		    	<div class="col-xl-6 col-lg-6 cntlhsbx">	
		    		<?php if($address ){ ?>
						<div class="cntpgbx wow zoomIn">
							<div class="row">
								<div class="col-md-1 col-sm-2">
									<div class="cntpgicn">
						   				<i class="fa fa-map-marker" ></i> 
						   			</div>
								</div>
								<div class="col-md-11 col-sm-10">
									<div class="cntpgtxt">
						   				<p><?php echo $address;?></p>
						   			</div>
								</div>
							</div>
					   		<div class="clearfix"></div>
					   	</div>
					 <?php } ?>

					<?php if($email){ ?>
						<div class="cntpgbx wow zoomIn">
							<div class="row">
								<div class="col-md-1 col-sm-2">
									<div class="cntpgicn">
						   				<i class="fa fa-envelope" ></i>
						   			</div>
								</div>
								<div class="col-md-11 col-sm-10">
									<div class="cntpgtxt">
						   				<a href="mailto:<?php echo $email;?>"><p><?php echo $email;?></p></a>
						   			</div>
								</div>
							</div>
					   		<div class="clearfix"></div>
					   	</div>
					 <?php } ?>	

					 <?php if($phone || $phone2){ ?>
				   		<div class="cntpgbx wow zoomIn">
				   			<div class="row">
								<div class="col-md-1 col-sm-2">
									<div class="cntpgicn">
						   				<i class="fa fa-phone" ></i>
						   			</div>
								</div>
								<div class="col-md-11 col-sm-10">
									<div class="cntpgtxt cntpgtel">
						   				<a class="" href="tel:<?php echo $phone;?>"><?php echo $phone;?></a>
					                     <a class="" href="tel:<?php echo $phone2;?>">,<?php echo $phone2;?></a>
						   			</div>
								</div>
							</div>
					   		<div class="clearfix"></div>
					   	</div>
					 <?php } ?>	
					 <div class="contact-mapbox wow zoomIn">
						<?php echo $iframe; ?>
					</div>
				 	<div class="clearfix"></div>
				</div>
				<div class="col-xl-6 col-lg-6 contform" >
					<div class="contforminn wow zoomIn">
						<div id="ht-contactus-wrap">
							<?php 
								$shortcodeLbl = get_theme_mod('luzuk_contactus_shortcode_lbl', 'CONTACT US');
								$shortcode = get_theme_mod('luzuk_contactus_shortcode', 'Add your form shortcode customizer');
								$iframe = get_theme_mod('luzuk_contactus_embade', 'Add your Embed code in customizer');
							?>
							<div class="contact-form">
								<div class="conforminn">
									<?php if(!empty($shortcodeLbl)){ ?>
					                <div class="maintle inner-area-title"><?php echo $shortcodeLbl;?></div>	
					                	<?php }?>
					                <!-- <div class="s-title inner-area-title"><//?php echo $contactusformsutitle;?></div> -->
					                <div class="ctform">
										<?php echo do_shortcode($shortcode);?>	
									</div>
									<div class="clearfix"></div>	
								</div>
								<div class="clearfix"></div>					
							</div>
						</div>
					</div>
					<div class="clearfix"></div>
				</div>
			</div>
  			<div class="clearfix"></div>
		</div>
	</div>	
	<div class="clearfix"></div>
</main>
<?php get_footer(); ?>